function make_poison_dart(obj)
    
    if ffi.cast("int*", obj._v)[4] == 0x410510 then -- projectiles
        
        -- Inflict poison if projectile gets destroyed (doesn't always catch up, but that's okay):
        if AND(obj.Flags.flags, 0x10000) ~= 0 then
            GetClaw()._field_F4 = 10
        end
        
        -- Change the image of Marrow's bullet, its damage and AttackRect:
        if GetImgStr(obj.Image) == "GAME_BULLETS" then
            obj.Damage = 10
            obj.AttackRect = {-2,8,2,11}
            obj:SetImage("CUSTOM_MARROWBULLET")
        end
    end
end

function main(self)

    if self.State == 0 then
        self.Flags.AlwaysActive, self.DrawFlags.NoDraw = true, true
        self.State = 1

    elseif self.State == 1 then
        LoopThroughObjects(make_poison_dart)
        self.State = 2
    
    elseif self.State == 2 then
        self.State = 1
    end
end
